tbb::interface9::internal::static_partition_type Class Reference

`#include <partitioner.h>`

Inheritance diagram for tbb::interface9::internal::static_partition_type:
Collaboration diagram for tbb::interface9::internal::static_partition_type:

## Public Types

typedef proportional_split | split_type
Public Types inherited from tbb::interface9::internal::proportional_mode< Partition >
typedef Partition | my_partition
Public Types inherited from tbb::interface9::internal::adaptive_mode< Partition >
typedef Partition | my_partition

## Public Member Functions

| static_partition_type (const static_partitioner &)
| static_partition_type (static_partition_type &p, split)
| static_partition_type (static_partition_type &p, const proportional_split &split_obj)
Public Member Functions inherited from tbb::interface9::internal::linear_affinity_mode< static_partition_type >
| linear_affinity_mode ()
| linear_affinity_mode (linear_affinity_mode &src, split)
| linear_affinity_mode (linear_affinity_mode &src, const proportional_split &split_obj)
void | set_affinity (task &t)
Public Member Functions inherited from tbb::interface9::internal::proportional_mode< Partition >
| proportional_mode ()
| proportional_mode (proportional_mode &src, split)
| proportional_mode (proportional_mode &src, const proportional_split &split_obj)
size_t | do_split (proportional_mode &src, const proportional_split &split_obj)
bool | is_divisible ()
template<typename Range >
proportional_split | get_split ()
Public Member Functions inherited from tbb::interface9::internal::adaptive_mode< Partition >
| adaptive_mode ()
| adaptive_mode (adaptive_mode &src, split)
size_t | do_split (adaptive_mode &src, split)
Public Member Functions inherited from tbb::internal::partition_type_base< Partition >
void | set_affinity (task &)
void | note_affinity (task::affinity_id)
task * | continue_after_execute_range ()
bool | decide_whether_to_delay ()
void | spawn_or_delay (bool, task &b)

## Additional Inherited Members

Public Attributes inherited from tbb::interface9::internal::linear_affinity_mode< static_partition_type >
size_t | my_head
size_t | my_max_affinity
Public Attributes inherited from tbb::interface9::internal::adaptive_mode< Partition >
size_t | my_divisor
Static Public Attributes inherited from tbb::interface9::internal::adaptive_mode< Partition >
static const unsigned | factor = 1

## Detailed Description

Definition at line 514 of file partitioner.h.

## Member Typedef Documentation

## split_type

typedef proportional_split tbb::interface9::internal::static_partition_type::split_type

Definition at line 516 of file partitioner.h.

## Constructor & Destructor Documentation

## static_partition_type() [1/3]

tbb::interface9::internal::static_partition_type::static_partition_type | ( | const static_partitioner & |  | ) |

inline

Definition at line 517 of file partitioner.h.

: linear_affinity_mode<static_partition_type>() {}

## static_partition_type() [2/3]

tbb::interface9::internal::static_partition_type::static_partition_type | ( | static_partition_type & | p,
|  | split |
| ) |  |

inline

Definition at line 519 of file partitioner.h.

: linear_affinity_mode<static_partition_type>(p, split()) {}
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

## static_partition_type() [3/3]

tbb::interface9::internal::static_partition_type::static_partition_type | ( | static_partition_type & | p,
|  | const proportional_split & | split_obj
| ) |  |

inline

Definition at line 521 of file partitioner.h.

: linear_affinity_mode<static_partition_type>(p, split_obj) {}

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.